# $Revision: 1.5 $, $Date: 2002/10/29 23:56:18 $
Summary:	A lightweight caching nameserver
Summary(pl):	Lekki buforujcy nameserver
Name:		dnsmasq
Version:	1.9
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.config
Patch0:		%{name}-cc.patch
URL:		http://www.thekelleys.org.uk/dnsmasq/
PreReq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dnsmasq is lightweight, easy to configure DNS forwarder designed to
provide DNS (domain name) services to a small network where using BIND
would be overkill. It can be have its DNS servers automatically
configured by PPP or DHCP, and it can serve the names of local
machines which are not in the global DNS. It is ideal for networks
behind NAT routers and connected via modem, ISDN, ADSL, or cable-modem
connections.

%description -l pl
Dnsmasq jest lekkim, atwym do konfiguracji forwarderem DNS
zaprojektowanym do serwowania usugi DNS dla maych sieci, gdzie uywanie
BIND byo by przesad. Zewntrzne serwery DNS mog by automatycznie
konfigurowane przez PPP lub DHCP. Moe on serwowa take nazwy dla lokalnych
maszyn nie znajdujcych si w globalnym DNS. Jest idealny dla sieci za NAT
i poczonych przez modem, ISDL, ADSL lub poczenia kablowe.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CC=%{__cc} OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig,/etc/rc.d/init.d,%{_mandir}/man8}

install %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/dnsmasq
install %SOURCE2 $RPM_BUILD_ROOT/etc/sysconfig/dnsmasq
install dnsmasq $RPM_BUILD_ROOT%{_sbindir}
install dnsmasq.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dnsmasq
if [ -f %{_localstatedir}/lock/subsys/dnsmasq ]; then
	/etc/rc.d/init.d/dnsmasq restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dnsmasq start\" to start dnsmasq." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f %{_localstatedir}/lock/subsys/dnsmasq ]; then
		/etc/rc.d/init.d/dnsmasq stop
	fi
	/sbin/chkconfig --del dnsmasq
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYING doc.html
%attr(755,root,root) /etc/rc.d/init.d/dnsmasq
%attr(755,root,root) %{_sbindir}/dnsmasq
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/dnsmasq
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dnsmasq.spec,v $
Revision 1.5  2002/10/29 23:56:18  filon
- updated to 1.9
- updated cc patch

Revision 1.4  2002/10/29 22:11:24  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.3  2002/08/05 20:17:22  kloczek
- updated to 1.7: bugfix release.

Revision 1.2  2002/06/11 22:50:51  kloczek
- added full Source url.

Revision 1.1  2002/06/11 22:41:01  filon
- inital version, fully functional
- STBR
